## org.eclipse.jetty.policy.entry
Class GrantEntry

    java.lang.Object
      org.eclipse.jetty.policy.entry.AbstractEntry
          org.eclipse.jetty.policy.entry.GrantEntry

    public class GrantEntry

extends AbstractEntry

Constructor Summary
`GrantEntry()`

Method Summary
`void` `addPrincipal(PrincipalEntry pe)` Adds specified element to the `principals` collection.
`void` `expand(PolicyContext context)`
`CodeSource` `getCodeSource()`
`PermissionCollection` `getPermissions()`
`Principal[]` `getPrincipals()`
`void` `setCodebase(String codebase)`
`void` `setPermissions(Collection<PermissionEntry> permissions)`
`void` `setPrincipals(Collection<PrincipalEntry> principals)`
`void` `setSigners(String signers)`

Methods inherited from class org.eclipse.jetty.policy.entry.AbstractEntry
`isDirty, isExpanded, setDirty, setExpanded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrantEntry

    public GrantEntry()

Method Detail

### addPrincipal

    public void addPrincipal(PrincipalEntry pe)

  Adds specified element to the `principals` collection. If collection does not exist yet, creates a new one.

### expand

    public void expand(PolicyContext context)
                throws PolicyException

  Specified by:
    `expand` in class `AbstractEntry`
  Throws:
    `PolicyException`

### getPermissions

    public PermissionCollection getPermissions()
                                        throws PolicyException

  Throws:
    `PolicyException`

### getPrincipals

    public Principal[] getPrincipals()
                              throws PolicyException

  Throws:
    `PolicyException`

### getCodeSource

    public CodeSource getCodeSource()
                             throws PolicyException

  Throws:
    `PolicyException`

### setSigners

    public void setSigners(String signers)

### setCodebase

    public void setCodebase(String codebase)

### setPrincipals

    public void setPrincipals(Collection<PrincipalEntry> principals)

### setPermissions

    public void setPermissions(Collection<PermissionEntry> permissions)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.